org.kie.internal.task.api

## Interface UserInfo

- All Superinterfaces:
    org.kie.api.task.UserInfo

      public interface UserInfo
      extends org.kie.api.task.UserInfo

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getEntityForEmail(String email)`
    `String` | `getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `Iterator<org.kie.api.task.model.OrganizationalEntity>` | `getMembersForGroup(org.kie.api.task.model.Group group)`
    `boolean` | `hasEmail(org.kie.api.task.model.Group group)`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getDisplayName` in interface `org.kie.api.task.UserInfo`

    - #### getMembersForGroup

          Iterator<org.kie.api.task.model.OrganizationalEntity> getMembersForGroup(org.kie.api.task.model.Group group)

      Specified by:
        `getMembersForGroup` in interface `org.kie.api.task.UserInfo`

    - #### hasEmail

          boolean hasEmail(org.kie.api.task.model.Group group)

      Specified by:
        `hasEmail` in interface `org.kie.api.task.UserInfo`

    - #### getEmailForEntity

          String getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getEmailForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getLanguageForEntity

          String getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getLanguageForEntity` in interface `org.kie.api.task.UserInfo`

    - #### getEntityForEmail

          String getEntityForEmail(String email)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.